//
//  ViewController.m
//  side view
//
//  Created by sun on 16/1/14.
//  Copyright © 2016年 sun. All rights reserved.
//
#define WIDTH  self.view.frame.size.width
#define HEIGHT self.view.frame.size.height
#import "ViewController.h"
#import "ViewController1.h"
#import "ViewController2.h"

@interface ViewController ()
<
    UITableViewDataSource,
    UITableViewDelegate
>

@property (nonatomic, strong) UIView *topView;
@property (nonatomic, strong) UITableView *tableView;
@property (nonatomic, strong) NSArray *dataArray;
@property (nonatomic, strong) UIWindow *myWindow;
@property (nonatomic, assign) BOOL isAction;

@property (nonatomic, strong) UIButton *cover;
@property (nonatomic, strong) ViewController1 *leftVC;
@end

@implementation ViewController

- (ViewController1 *)leftVC{
    if (!_leftVC) {
        _leftVC = [[ViewController1 alloc] init];
        
        _leftVC.view.frame = CGRectMake(0, 0, 0, HEIGHT);
        
         [_myWindow addSubview:_leftVC.view];
        
        __weak typeof(self) weakVC = self;
        [_leftVC selectBlockType:^(NSInteger index) {
           
            ViewController2 *vc = [[ViewController2 alloc] init];
            
            [weakVC.navigationController pushViewController:vc animated:YES];
            [weakVC leftBtnAction];
            
        }];
    }
    return _leftVC;
}


- (UIButton *)cover{
    if (!_cover) {
        _cover = [[UIButton alloc] init];
        _cover.backgroundColor = [[UIColor blackColor] colorWithAlphaComponent:0.4];
       self.cover.frame = CGRectMake(300, 0, 0, HEIGHT);
        
        [self.cover addTarget:self action:@selector(leftBtnAction) forControlEvents:UIControlEventTouchUpInside];
    }
    return _cover;
}


- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    _dataArray = @[@"游戏",@"益智",@"运动",@"冒险",@"角色扮演",@"赛车"];

    UIBarButtonItem  *leftBtn= [[UIBarButtonItem alloc]initWithBarButtonSystemItem:UIBarButtonSystemItemOrganize target:self action:@selector(leftBtnAction)];
    self.navigationItem.leftBarButtonItem = leftBtn;
    
    _myWindow = [[UIWindow alloc] initWithFrame:[UIScreen mainScreen].bounds];
    _myWindow.backgroundColor = [UIColor grayColor];
    
    [self createUI];
}


-(void)leftBtnAction
{
    
    UIWindow *window = [UIApplication sharedApplication].windows[0];
    
    if (_isAction == NO) {
        _isAction = YES;
        
        [UIView animateWithDuration:0.3 animations:^{
            
            window.frame = CGRectMake(300, 0, WIDTH, HEIGHT);
            self.leftVC.view.frame = CGRectMake(0, 0, [UIScreen mainScreen].bounds.size.width - 300, HEIGHT);
            
            self.leftVC.navigationController.navigationBar.hidden = YES;
            
            self.cover.frame = CGRectMake(0, 0,[UIScreen mainScreen].bounds.size.width - 300, HEIGHT);
            
            [_myWindow addSubview:window];
            
            self.hidesBottomBarWhenPushed = YES;

            //zh
            self.cover.hidden = NO;
            [window addSubview:self.cover];
            
            [_myWindow makeKeyAndVisible];
        
        }completion:^(BOOL finished) {
            
        }];
    }else
    {
        _isAction = NO;
        [UIView animateWithDuration:0.3 animations:^{
           window.frame = [UIScreen mainScreen].bounds;
            [_myWindow resignKeyWindow];
            
            [self.cover removeFromSuperview];
            
            self.hidesBottomBarWhenPushed = NO;
        }];
    }
}
-(void)createUI
{
    _tableView = [[UITableView alloc] initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height -49) style:UITableViewStyleGrouped];
    _tableView.delegate = self;
    _tableView.dataSource = self;
    [self.view addSubview:_tableView];
}
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return _dataArray.count;
}
-(CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    return 40;
}
-(CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section
{
    return 0.1;
}
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *cellID = @"cellid";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:cellID];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:cellID];
    }
    cell.textLabel.text = _dataArray[indexPath.row];
    return cell;
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
